org.wildfly.swarm.security

## Class SecurityFraction

- java.lang.Object
- - org.wildfly.swarm.config.Security<SecurityFraction>
  - - org.wildfly.swarm.security.SecurityFraction

- All Implemented Interfaces:
    Fraction<SecurityFraction>

      public class SecurityFraction
      extends Security<SecurityFraction>
      implements Fraction<SecurityFraction>

  Author:
    Bob McWhirter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Security

      `Security.SecurityResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static SecurityFraction` | `defaultSecurityFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.Security

      `addPropertyChangeListener, classicVault, classicVault, classicVault, classicVault, deepCopySubjectMode, deepCopySubjectMode, elytronKeyManager, elytronKeyManager, elytronKeyManager, elytronKeyManager, elytronKeyManagers, elytronKeyStore, elytronKeyStore, elytronKeyStore, elytronKeyStore, elytronKeyStores, elytronRealm, elytronRealm, elytronRealm, elytronRealm, elytronRealms, elytronTrustManager, elytronTrustManager, elytronTrustManager, elytronTrustManager, elytronTrustManagers, elytronTrustStore, elytronTrustStore, elytronTrustStore, elytronTrustStore, elytronTrustStores, getKey, initializeJacc, initializeJacc, removePropertyChangeListener, securityDomain, securityDomain, securityDomain, securityDomain, securityDomains, subresources`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### SecurityFraction

          public SecurityFraction()

  - ### Method Detail

    - #### defaultSecurityFraction

          public static SecurityFraction defaultSecurityFraction()

    - #### applyDefaults

          public SecurityFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<SecurityFraction>`
      Returns:
        this fraction.

Copyright © 2017 JBoss by Red Hat. All rights reserved.